﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace HostWPFControlInWinForms
{
    /// <summary>
    /// Interaction logic for WPFComboBox.xaml
    /// </summary>
    public partial class WPFBrowseBar : UserControl
    {
        public WPFBrowseBar()
        {
            InitializeComponent();
        }
        public string FileName
        {
            get { return NewTextBox.Text; }
            set { NewTextBox.Text = value; }
        }
        private void NewButton_Click(object sender, RoutedEventArgs e)
        {
            Microsoft.Win32.OpenFileDialog openFileDlg = new Microsoft.Win32.OpenFileDialog();
            if (openFileDlg.ShowDialog() == true)
                this.FileName = openFileDlg.FileName;
        }
        public event EventHandler<EventArgs> FileNameChanged;
        private void NewTextBox_TextChanged(object sender, TextChangedEventArgs e)
        {
            e.Handled = true;
            if (FileNameChanged != null)
                FileNameChanged(this, EventArgs.Empty);
        }
    }
}
